### Constructor

# RB LibraryBrowser new

#### Declaration [src]

    RBLibraryBrowser*
    rb_library_browser_new (
      RhythmDB* db,
      RhythmDBEntryType* entry_type
    )

#### Description [src]

Creates a new library browser.

#### Parameters

`db`

  Type: `RhythmDB`

  The `RhythmDB` instance.

  The data is owned by the caller of the function.

`entry_type`

  Type: `RhythmDBEntryType`

  The entry type to use in the browser.

  The data is owned by the caller of the function.

#### Return value

Type: `RBLibraryBrowser`

A new RBLibraryBrowser.

The data is owned by the called function.